com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class AnnotationDefaultVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.AbstractAnnotationVisitor<MethodDescriptor>
    - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.AnnotationDefaultVisitor

-     public class AnnotationDefaultVisitor
      extends AbstractAnnotationVisitor<MethodDescriptor>

  Visitor for default values of annotation methods.

  Creates dependencies of the method to the type of the default value.

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.AnnotationVisitor

      `api, av`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AnnotationDefaultVisitor(TypeCache.CachedType containingType, MethodDescriptor descriptor, VisitorHelper visitorHelper)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setValue(MethodDescriptor descriptor, com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?> value)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.AbstractAnnotationVisitor

      `visit, visitAnnotation, visitArray, visitEnum`

    - ### Methods inherited from class org.objectweb.asm.AnnotationVisitor

      `visitEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationDefaultVisitor

          protected AnnotationDefaultVisitor(TypeCache.CachedType containingType,
                                             MethodDescriptor descriptor,
                                             VisitorHelper visitorHelper)

      Constructor.
      Parameters:
        `visitorHelper` - The `VisitorHelper` .

  - ### Method Detail

    - #### setValue

          protected void setValue(MethodDescriptor descriptor,
                                  com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?> value)

      Specified by:
        `setValue` in class `AbstractAnnotationVisitor<MethodDescriptor>`

Copyright © 2015 buschmais GbR. All rights reserved.